# view(2m)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

view - Read only

## SYNOPSIS

view Mode

V - mode line letters.

## DESCRIPTION

view mode sets the buffer to read-only, disabling the ability to alter the contents of the buffer. This mode is automatically set for any files attributed with a read-only status on the file system when read into MicroEmacs 2009. Files loaded via view-file(2) are also assigned view mode.

While in view mode, any attempt to alter the buffer contents results in the following message:-

`[Key Illegal in view Mode]`

## SEE ALSO

Operating Modes, buffer-mode(2), global-mode(2), view-file(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>